NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsAccountLimits Struct Reference
Types

`#include <nats.h>`

## Public Attributes
int64_t | MaxMemory
int64_t | MaxStore
int64_t | MaxStreams
int64_t | MaxConsumers
int64_t | MaxAckPending
int64_t | MemoryMaxStreamBytes
int64_t | StoreMaxStreamBytes
bool | MaxBytesRequired

## Detailed Description

Includes the JetStream limits of the current account.

## Member Data Documentation

## ◆ MaxMemory

int64_t jsAccountLimits::MaxMemory

## ◆ MaxStore

int64_t jsAccountLimits::MaxStore

## ◆ MaxStreams

int64_t jsAccountLimits::MaxStreams

## ◆ MaxConsumers

int64_t jsAccountLimits::MaxConsumers

## ◆ MaxAckPending

int64_t jsAccountLimits::MaxAckPending

## ◆ MemoryMaxStreamBytes

int64_t jsAccountLimits::MemoryMaxStreamBytes

## ◆ StoreMaxStreamBytes

int64_t jsAccountLimits::StoreMaxStreamBytes

## ◆ MaxBytesRequired

bool jsAccountLimits::MaxBytesRequired

The documentation for this struct was generated from the following file:

- nats.h